comedi_sv_init
Prev | 5.4.7. Deprecated functions | Next

## Name

comedi_sv_init — slowly-varying inputs

## Synopsis

    #include <comedilib.h>

`int comedi_sv_init(` | comedi_sv_t * sv,
| comedi_t * device,
| unsigned int subdevice,
| unsigned int channel`)`;

## Status

deprecated

## Description

The function `comedi_sv_init` initializes the slow varying Comedi structure pointed to by `sv` to use the device `device`, the analog input subdevice `subdevice`, and the channel `channel`. The slow varying Comedi structure is used by `comedi_sv_measure` to accurately measure an analog input by averaging over many samples. The default number of samples is 100.

## Return value

This function returns `0` on success, `-1` on error.

Prev | Up | Next
comedi_get_timer | Home | comedi_sv_measure